util.promisify
Polyfill/shim for util.promisify in node versions < v8
Last updated 6 months ago by ljharb .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install util.promisify 
SYNC missed versions from official npm registry.

util.promisify

Polyfill for util.promisify in node versions < v8

node v8.0.0 added support for a built-in util.promisify: https://github.com/nodejs/node/pull/12442/

This package provides the built-in util.promisify in node v8.0.0 and later, and a replacement in other environments.

Usage

Direct

const promisify = require('util.promisify');
// Use `promisify` just like the built-in method on `util`

Shim

require('util.promisify/shim')();
// `util.promisify` is now defined
const util = require('util');
// Use `util.promisify`

Note: this package requires a native ES5 environment, and for Promise to be globally available. It will throw upon requiring it if these are not present.

Promisifying modules

If you want to promisify a whole module, like the fs module, you can use util.promisify-all.

Current Tags

  • 1.0.1                                ...           latest (6 months ago)

2 Versions

  • 1.0.1                                ...           6 months ago
  • 1.0.0                                ...           3 years ago
Maintainers (1)
Downloads
Today 46,221
This Week 139,855
This Month 300,303
Last Day 48,016
Last Week 249,891
Last Month 1,051,388
Dependencies (4)
Dev Dependencies (5)
Dependents (389)

Copyright 2014 - 2016 © taobao.org |